Description

I'd like to move a few issue tracking related settings to their own tab in project settings:

e trackers selection

¢ issue custom fields selection
¢ default version

e default assignee

That would make the project form on the first tab a bit cleaner. Unlike now, trackers and issue custom fields would not appear on the
new project form but default trackers can now be configured in application settings.

Feedback is welcome.

Related issues:
Related to Redmine - Feature #22090: Make project settings more accessible Closed
Related to Redmine - Feature #26579: Project settings : remove Wiki tab Closed

Associated revisions

Revision 16892 - 2017-07-26 19:07 - Jean-Philippe Lang
Removes the Modules tab in project settings (#26488).

Modules can now be select on the first tab, just like when creating a project.

Revision 16896 - 2017-07-27 18:42 - Jean-Philippe Lang

Project settings: Move issue tracking settings to their own tab (#26488).

Revision 16899 - 2017-07-27 18:49 - Jean-Philippe Lang
Hide the issue tracking tab if module is disabled (#26488).

History

#1 - 2017-07-20 19:28 - Marius BALTEANU

There are some discussions regarding project settings screen refactorization also in #22090.

#2 - 2017-07-21 05:41 - Go MAEDA

Jean-Philippe Lang wrote:
I'd like to move a few issue tracking related settings to their own tab in project settings:

e trackers selection
® issue custom fields selection
e default version
¢ default assignee
That would make the project form on the first tab a bit cleaner.

| agree. There are too many fields in Information tab. However, | am concerned that the number of tabs in project settings will be excessive. There are
already 9 tabs.

Unlike now, trackers and issue custom fields would not appear on the new project form but default trackers can now be configured in application
settings.

2025-07-12 1/3



https://www.redmine.org/issues/22090

I think it will be a little inconvenient but it is not a big problem because project settings screen will be displayed after creating a project.

#3 - 2017-07-21 21:09 - Jean-Philippe Lang

| agree. There are too many fields in Information tab. However, | am concerned that the number of tabs in project settings will be excessive.
There are already 9 tabs.

| think we should remove the Modules tab and leave the modules below the project form just like it is when creating a new project.
It would also makes sense to remove the Wiki tab and let the user mark a wiki page as the start page directly from the wiki.

#4 - 2017-07-21 21:11 - Jean-Philippe Lang
Jean-Philippe Lang wrote:
It would also makes sense to remove the Wiki tab and let the user mark a wiki page as the start page directly from the wiki.

I think it would actually make the process of changing the start page more straightforward than having go to project settings and enter the title of the
start page manually.

#5 - 2017-07-22 08:31 - Go MAEDA

Jean-Philippe Lang wrote:

| think we should remove the Modules tab and leave the modules below the project form just like it is when creating a new project.

+1

#6 - 2017-07-29 14:21 - Jean-Philippe Lang

The "Issue tracking" tab is now added. What about removing the Wiki tab as proposed above?

#7 - 2017-07-30 04:16 - Go MAEDA
- File wiki-page-buttons@2x.png added
Jean-Philippe Lang wrote:

It would also makes sense to remove the Wiki tab and let the user mark a wiki page as the start page directly from the wiki.

What Ul do you think?

| am afraid of having too many buttons in the contextual area of a wiki page. There are already 6 buttons and the contextual area is too wide. | am
sometimes bothered by wrapped wiki title due to too wide contextual area. It will get worse if another button is added.

Overview Activity Roadmap Issues Spenttime Gantt Calendar News Documents RV

COOkBOOk documentation &) New wiki page -’ Edit Watch (5 Unlock # Rename fjij Delete

Too wide contextual area because of many buttons.

e Page with an inline image
Some updated documentation here with gzipped history
» Files

Updated by Redmine Admin over 10 years ago - 3 revisions

Also available in: PDF | HTML | TXT

#8 - 2017-07-31 13:17 - Toshi MARUYAMA

- Related to Feature #22090: Make project settings more accessible added

#9 - 2017-10-07 17:01 - Bernhard Rohloff
Go MAEDA wrote:
| am afraid of having too many buttons in the contextual area of a wiki page. There are already 6 buttons and the contextual area is too wide. |

am sometimes bothered by wrapped wiki title due to too wide contextual area. It will get worse if another button is added.

Perhaps, it would be a good idea to hide less used functions in a dropdown menu with a ... button like in #26655.

#10 - 2017-11-05 18:51 - Toshi MARUYAMA
- Related to Feature #26579: Project settings : remove Wiki tab added

#11 - 2017-11-05 19:06 - Toshi MARUYAMA

Jean-Philippe Lang wrote:

It would also makes sense to remove the Wiki tab and let the user mark a wiki page as the start page directly from the wiki.

FTR: this is done by #26579.

#12 - 2017-11-05 19:15 - Toshi MARUYAMA

- File wiki-rename.png added

Go MAEDA wrote:

Jean-Philippe Lang wrote:

It would also makes sense to remove the Wiki tab and let the user mark a wiki page as the start page directly from the wiki.

What Ul do you think?

| am afraid of having too many buttons in the contextual area of a wiki page. There are already 6 buttons and the contextual area is too wide. |

am sometimes bothered by wrapped wiki title due to too wide contextual area. It will get worse if another button is added.

r16915 added a checkbox in wiki renaming form.

Test
Title * ITE'Bt
Start page P
Redirect existing links |+
Parent page v
Project | redmine-svn v
Rename

#13 - 2018-06-16 16:30 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Files
wiki-page-buttons@2x.png 37.7 KB 2017-07-30 Go MAEDA
wiki-rename.png 11.3 KB 2017-11-05 Toshi MARUYAMA
